Subject: [MMUSIC] Please review RFC4566bis-36

From: Paul Kyzivat <[email-masked]>
Date: Mon, 1 Jul 2019 10:11:40 -0400

I issued version -36 a couple of weeks ago. It aimed to address the IESG 
comments. It turned out that I had to make quite a lot of changes to 
address those, so I would very much like to have people review these and 
respond if they are good or if further change is needed to get things right.

You can find -36 at:

   https://tools.ietf.org/rfcdiff?url2=draft-ietf-mmusic-rfc4566bis-36.txt

The following will give you the diffs since -35:

   https://tools.ietf.org/rfcdiff?url2=draft-ietf-mmusic-rfc4566bis-36.txt

The following will give you all the diffs since RFC4566:

https://tools.ietf.org/rfcdiff?url2=draft-ietf-mmusic-rfc4566bis-36.txt;url1=rfc4566

Below you will find discussion of one possible remaining issue. I have 
changes in -36 for this. Please consider if what I have done is correct.

	Thanks,
	Paul

On 6/6/19 12:56 PM, Paul Kyzivat wrote:
> I've been working to resolve the IESG issues with RFC4566bis-35.
> I think I have resolved most of them, but I have a couple where I feel I 
> need input from the wg. This is one of those:
> 
> "a=type" impact on media direction default:
> 
> While I was resolving a comment on Section 6.9 (a=type) I noticed what I 
> think may be a new issue. The text says:
> 
>     "recvonly" should be the default for "type:broadcast" sessions,
>     "type:meeting" should imply "sendrecv", and "type:moderated" should
>     indicate the use of a floor control tool and that the media tools are
>     started so as to mute new sites joining the multimedia conference.
> 
>     Specifying the attribute "type:H332" indicates that this loosely
>     coupled session is part of an H.332 session as defined in the ITU
>     H.332 specification [ITU.H332.1998].  Media tools should be started
>     "recvonly".
> 
> This seems to imply that the *default* media direction 
> (sendonly/recvonly/...) will vary depending on the value of the type 
> attribute. Yet it isn't written in a normative manner. (This language 
> dates back to RFC2327.)
> 
> My first reaction to this is that while it is written oddly the intent 
> is only that these are suggestions for what the creator of the SDP 
> should use. But then I also found language about this in section 6.7 
> (Media Direction Attributes):
> 
>     If none of the media direction attributes is present at either
>     session level or media level, "sendrecv" SHOULD be assumed as the
>     default for sessions that are not of the multimedia conference type
>     "broadcast" or "H332" (see below).
> 
> This language was not in RFC2327 - it was added in RFC4566. (Probably by 
> me!)
> 
> My current thinking is that this is messed up. At the time of the 
> writing in RFC2327 the use case in mind was announcements via SAP. This 
> really doesn't work right in an offer/answer context.
> 
> I'm inclined to take the language about type-specific directionality out 
> in both places. Or, if that can't be done for reasons of backward 
> compatibility, then perhaps qualify it as only applying in the case of 
> announcements.
> 
> I need feedback here!
> 
>      Thanks,
>      Paul
> 
> 
> 
> _______________________________________________
> mmusic mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/mmusic
>